#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	gnome-keyring
Version		:	42.1
Release		:	14.4.0.0%{?dist}
Summary		:	Tools needed to bootstrap GNOME modules
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+ and LGPLv2+ and GFDL
URL		:	https://gitlab.gnome.org/GNOME/gnome-keyring/tags

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	dbus
BuildRequires	:	docbook-xsl
BuildRequires	:	gcr3
BuildRequires	:	libxslt
BuildRequires	:	openssh
BuildRequires	:	pam-devel

Requires	:	pam
#-----------------------------------------------------------------------------
%description
This module contains various files needed to bootstrap GNOME modules
built from git.  It contains the following components:
 1. A common "autogen.sh" script that can be used to configure a
    source directory checked out from git.
 2. Some commonly used macros (quite a small set these days -- macros
    should be packaged with their respective modules).

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_sysconfdir}/xdg/autostart/%{name}-*.desktop
%{_bindir}/%{name}*
%{_libdir}/%{name}/devel/*.so
%{_libdir}/pkcs11/%{name}-pkcs11.so
%{_libdir}/security/pam_gnome_keyring.so
%{_datadir}/GConf/gsettings/org.gnome.crypto.cache.convert
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.Secret.service
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.cache.gschema.xml
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/p11-kit/modules/%{name}.module
%{_datadir}/xdg-desktop-portal/portals/%{name}.portal
%{_mandir}/man1/%{name}*.1.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas >> /var/log/%{name}-yum.log 2>&1

%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas/ &> /dev/null
  fi

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-schemas-compile			\
	--disable-static				\
	--without-systemd				\
	--enable-pam					\
	--with-pkcs11-config=%{_datadir}/p11-kit/modules\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
